Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Data

    java.lang.Object
      org.apache.commons.scxml.model.Data

All Implemented Interfaces:
  NamespacePrefixesHolder, Serializable

public class Data
extends Object
implements NamespacePrefixesHolder, Serializable

The class in this SCXML object model that corresponds to the SCXML <data> child element of the <datamodel> element.

See Also:
  Serialized Form

Constructor Summary
`Data()` Constructor.

Method Summary
`String` | `getExpr()` Get the expression that evaluates to the value of this data instance.
`String` | `getName()` Get the name.
`Map` | `getNamespaces()` Get the XML namespaces at this action node in the SCXML document.
`Node` | `getNode()` Get the XML data tree.
`String` | `getSrc()` Get the URL where the XML data tree resides.
`void` | `setExpr(String expr)` Set the expression that evaluates to the value of this data instance.
`void` | `setName(String name)` Set the name.
`void` | `setNamespaces(Map namespaces)` Set the XML namespaces at this action node in the SCXML document.
`void` | `setNode(Node node)` Set the XML data tree.
`void` | `setSrc(String src)` Set the URL where the XML data tree resides.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Data

    public Data()

  Constructor.

Method Detail

### getName

    public final String getName()

  Get the name.

  Returns:
    String The name.

### setName

    public final void setName(String name)

  Set the name.

  Parameters:
    `name` - The name.

### getSrc

    public final String getSrc()

  Get the URL where the XML data tree resides.

  Returns:
    String The URL.

### setSrc

    public final void setSrc(String src)

  Set the URL where the XML data tree resides.

  Parameters:
    `src` - The source URL.

### getExpr

    public final String getExpr()

  Get the expression that evaluates to the value of this data instance.

  Returns:
    String The expression.

### setExpr

    public final void setExpr(String expr)

  Set the expression that evaluates to the value of this data instance.

  Parameters:
    `expr` - The expression.

### getNode

    public final Node getNode()

  Get the XML data tree.

  Returns:
    Node The XML data tree, parsed as a `Node`.

### setNode

    public final void setNode(Node node)

  Set the XML data tree.

  Parameters:
    `node` - The XML data tree, parsed as a `Node`.

### getNamespaces

    public final Map getNamespaces()

  Get the XML namespaces at this action node in the SCXML document.

  Specified by:
    `getNamespaces` in interface `NamespacePrefixesHolder`
  Returns:
    Returns the map of namespaces.

### setNamespaces

    public final void setNamespaces(Map namespaces)

  Set the XML namespaces at this action node in the SCXML document.

  Specified by:
    `setNamespaces` in interface `NamespacePrefixesHolder`
  Parameters:
    `namespaces` - The document namespaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.